require 'fadeover_effects/fadeover_effect'

class CrossfadeEffect < FadeoverEffect
  def initialize(fade_duration = 500)
    super()
    @fade_duration = fade_duration.to_f
  end
  
  def update(dtime)
    super dtime
    
    if @time >= @fade_duration
      finish!
    else
      @old_screen.alpha = 255 * (1 - @time/@fade_duration)
    end
  end
end
