require 'secondary_weapons/secondary_weapon'

class SnailWeapon < SecondaryWeapon
  def initialize(player)
    @player = player
  end
  
  def trigger
    Game.current_controller.players.each do |player|
      player.speed /= 2.0 unless player == @player
    end
    @player.secondary_weapon = nil
  end
end
