require 'fadeover_effects/fadeover_effect'

class SlideOutEffect < FadeoverEffect
  def initialize(velocity = V(-1.5, 0))
    super()
    @v = velocity
    @pos = V(0, 0)
  end
  
  def update(dtime)
    @pos += @v*dtime
    r1 = Rubygame::Rect.new(0, 0, Game.screen.w, Game.screen.h)
    r2 = Rubygame::Rect.new(@pos.to_a, [Game.screen.w, Game.screen.h])
    finish! unless r1.collide_rect?(r2)
  end
  
  def draw(srf)
    @old_screen.blit srf, @pos.to_a
  end
end
