require 'items/item'

class CollectableItem < Item
  def initialize(field, surface)
    super field, surface, false
  end
  
  def walkable?
    true
  end
  def blowable?
    true
  end
  def blocks_explosion?
    false
  end
  def collectable?
    true
  end
  
  def walked_over(player)
    @field.items -= [self]
  end
end
